#   File:       PPCModelessSample.make
#   Target:     PPCModelessSample
#   Sources:    Application.c
#               DialogCode.c
#               Sample.r
#   Created:    Monday, February 14, 1994 12:11:21 PM

objFolder = ":object:"

OBJECTS = 
		{objFolder}Application.o 
		{objFolder}DialogCode.o 


PPCModelessSample   PPCModelessSample.make Sample.r
	Rez -d PowerPCNativeBuild=true Sample.r -append -o PPCModelessSample

PPCModelessSample  PPCModelessSample.make  {OBJECTS}
	PPCLink  -sym on 
		{OBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		-main __start 
		-o PPCModelessSample.xcoff
	makePEF PPCModelessSample.xcoff -o PPCModelessSample 
		-l InterfaceLib.xcoff=InterfaceLib 
		-l MathLib.xcoff=MathLib 
		-l StdCLib.xcoff=StdCLib 
		-ft APPL -fc '????'
	MakeSYM PPCModelessSample.xcoff -o PPCModelessSample.xSYM

{objFolder}Application.o  PPCModelessSample.make Application.c
	 PPCC -w conformance -appleext on -sym on Application.c -o {objFolder}Application.o

{objFolder}DialogCode.o  PPCModelessSample.make DialogCode.c
	 PPCC -w conformance -appleext on -sym on DialogCode.c -o {objFolder}DialogCode.o
